#### NAME

vchkpw - authenticate a pop user

#### SYNOPSYS

vchkpw

#### DESCRIPTION

Used with qmail-pop3d and qmail-popup to authenticate a pop user and grant them access to thier pop directory. If vpopmail is compiled with --enable-roaming-users=y, then the users IP is added to open-smtp file with a time stamp and the tcp.smtp file is compiled to include the new client IP address to allow smtp relay.

Validates /etc/password users and vpopmail users.

#### OPTIONS

None

#### RETURN VALUE

0 if all steps were successful, non-zero otherwise.

#### SEE ALSO

`clearopensmtp`
`vadddomain`
`vpopmail`

#### NOTES

Used with tcpserver and qmail-popup and qmail-pop3d. Must be run as root or vpopmail if only virtual domains are used.

#### AUTHOR

AUTHORS